let DType = {
    Dmg: -1,        
    Draw: 1,        
    DefBrake: 2,    
    HpRecv: 3,      
    MpRecv: 4,      
    DefGet: 5,      
    DeckCAdd: 6,    
    TrashAdd: 7,    
    HandAdd: 8,     
    ItemAdd: 51,    
    HandCRecv: 52,  
    Reload: 53,     
    HCostCng: 60,   
    HCostHrfRnd: 64, 
    HCostZeroRnd: 67, 
    StateDel: 65,   
    SknCng: 66,     
    HandSute: 68,   
    HpKyuketu: 75,  
    ItemCoolTurnCng: 76,  
    Sogeki: 73,     
    HPMstCng: 74,   
    CSHandTr: 55,   
    CSCardGet: 62,  
    CSTrCardGet: 63, 
    SkDmgCng: 54,   
    TCMove: 56,     
    TCDelay: 57,    
    TESknCng: 58,   
    TEDmg: 59,      
    BitSet_Atk: 70, 
    Bit_TurnCng: 71, 
    Bit_VarCng: 72, 
    SWCng: 97,     
    CmnEv: 98,     
    Hirumi: 99,    
    SetState: 100, 
    CelAtkDmg: 61 
}
let StType = {
    Def: 10,        
    BaseDef: 20,    
    CelDmg: 29,     
    SyaseiYoku: 34, 
    Koufun: 35,     
    SeikanJoso: 36, 
    ADmgCng: 11,    
    TurnDmg: 12,    
    DrawUp: 13,     
    MPRecUp: 14,    
    HiDmgCng: 16,   
    ADmgDbl: 17,   
    NotYosoku: 18,  
    DrawCostRnd: 19, 
    DefKantu: 27,   
    AtkAll: 28,     
    CardBaika: 30,  
    AtkToCel: 31,   
    CelBaria: 32,   
    Reflect: 33,     
    Counter: 37,     
    CelDmgBai: 38,   
    CelHiDmgCng: 39, 
    BougyoKinsi: 40,  
    Kuisibari: 41  
}
class ZokuState { 
    constructor(_id, _setu, _msetu) {
        this._id = _id;
        this._setu = _setu; 
        this._msetu = _msetu; 
    }
}
let ZokuData = []; 
ZokuData.push(new ZokuState(StType.Def, "●次ターンまでダメージを<tn>点まで軽減\n　次のターン開始時に消失")); 
ZokuData.push(new ZokuState(StType.BaseDef, "●次ターンまで被ダメージを半減する"));  
ZokuData.push(new ZokuState(StType.ADmgCng, "●与えるダメージが<var>点増加", "◯与えるダメージが<var>点減少")); 
ZokuData.push(new ZokuState(StType.TurnDmg, "●ターン開始時<var>点ダメージを受ける", "◯ターン開始時<var>点回復する")); 
ZokuData.push(new ZokuState(StType.DrawUp, "●ターン開始時ドローが<var>枚増加", "◯ターン開始時ドローが<var>枚減少")); 
ZokuData.push(new ZokuState(StType.MPRecUp, "●ターン開始時MP回復量が<var>増加", "◯ターン開始時MP回復量が<var>減少")); 
ZokuData.push(new ZokuState(StType.HiDmgCng, "●受けるダメージが<var>点増加", "◯受けるダメージが<var>点減る")); 
ZokuData.push(new ZokuState(StType.ADmgDbl, "●次カードの与ダメージ<bairitu>倍", "◯次カードの与ダメージ<bairitu>倍")); 
ZokuData.push(new ZokuState(StType.AtkAll, "●攻撃スキルの対象が敵全体に", "")); 
ZokuData.push(new ZokuState(StType.CardBaika, "●カード「<C>」威力<var>倍", "")); 
ZokuData.push(new ZokuState(StType.CelDmg, "●行動終了時：残ﾀｰﾝ点ダメージを受ける", "")); 
ZokuData.push(new ZokuState(StType.AtkToCel, "●攻撃時、対象に<var>セルダメージ", "")); 
ZokuData.push(new ZokuState(StType.CelBaria, "●防御値消費時その値分セルダメージを与える", "")); 
ZokuData.push(new ZokuState(StType.NotYosoku, "●相手の行動が読めなくなる", "")); 
ZokuData.push(new ZokuState(StType.DrawCostRnd, "●ドロー時コストがランダムに変化", "")); 
ZokuData.push(new ZokuState(StType.DefKantu, "●攻撃が防御値を貫通するようになる", "")); 
ZokuData.push(new ZokuState(StType.Reflect, "●受けるダメージを相手にも返す", "")); 
ZokuData.push(new ZokuState(StType.SyaseiYoku, "♥10蓄積すると絶頂退場する", "")); 
ZokuData.push(new ZokuState(StType.Koufun, "♥蓄積する射精欲が2倍になる", "")); 
ZokuData.push(new ZokuState(StType.Counter, "●ダメージを受ける時<var>点相手に反撃", "")); 
ZokuData.push(new ZokuState(StType.CelDmgBai, "●与えるセルダメージが<bairitu>倍に", "")); 
ZokuData.push(new ZokuState(StType.CelHiDmgCng, "◯被ダメージが自身のセルダメージ/4分減る", "")); 
ZokuData.push(new ZokuState(StType.BougyoKinsi, "◯防御コマンドが使えなくなる", "")); 
